-- "Keep The Herbs" by Subby on Golemagg [Horde]

--[[
	ToDo list
        ✓ Get someone to help with debugging.
        ✓ Wait for some feedback on errors or improvements.
        Get someone to spell check.
        ✓ Sort all the potions so they will show in right order.
        Get someone to translate.
        Cleanup the code after testing and debugging is done.
        ✓ Make is so it possible to see all mats used for a potion on mouse over.
        Add a check so you can see from another character if a recipe is one you need on your Alchemy character.
        Make a option so people can chose if the want it shown all the time or only with a modifier.

    Known bug's
        No info when you do a link click, not sure how to make that yet but is working on it.

    Changelog from last update only.
        Added Chinese localization, huge thanks to 小河马 (Little Hippo) for that. :)

        
]]--

-- Set some locals
local KeepTheHerbs, namespace = ...
local PotID = namespace.PotID
local MatsID = namespace.MatsID
local L = namespace.L

local myAlchemySkill
local myHerbalismSkill

local Potname
local Potdiff1
local Potdiff2
local Potdiff3
local Potdiff4
local PotColorCode

local Matsname
local Matsdiff1
local Matsdiff2
local Matsdiff3
local Matsdiff4
local MatsColorCode

local PotSkillLevel1
local PotSkillLevel2
local PotSkillLevel3
local PotSkillLevel4

local HerbSkillLevel1
local HerbSkillLevel2
local HerbSkillLevel3
local HerbSkillLevel4

-- *********************************************************************************************************
-- ************************* Catch a login event and all "gain a skill level" event ************************
-- *********************************************************************************************************

-- Create a frame to handle all events
local f = CreateFrame("Frame");
    -- What events do we want to use ?
    f:RegisterEvent("SPELLS_CHANGED");
    f:RegisterEvent("CHAT_MSG_SKILL");

-- Event handler
f:SetScript('OnEvent', function(self, event, arg1, arg2, arg3, ...)
    -- Look for the event.
    if (event == "SPELLS_CHANGED") then
        SkillLevel()
        Welcome()
        f:UnregisterEvent("SPELLS_CHANGED");
    elseif (event == "CHAT_MSG_SKILL") then
        SkillLevel()
    end
end)

-- *********************************************************************************************************
-- *********************** Find the Herbalism and Alchemy skill level for the player ***********************
-- *********************************************************************************************************

function SkillLevel()
    for skillIndex = 1, GetNumSkillLines() do
        local skillName, isHeader, _, skillRank, _, _, _, _, _, _, _, _, _ = GetSkillLineInfo(skillIndex)
        if not isHeader then
            if skillName == L["strAlchemy"] then
                myAlchemySkill = skillRank
            end
            if skillName == L["strHerbalism"] then
                myHerbalismSkill = skillRank
            end
        end
    end
    if myAlchemySkill == nil then
        myAlchemySkill = 0
    end
    if myHerbalismSkill == nil then
        myHerbalismSkill = 0
    end
end

-- *********************************************************************************************************
-- *************************** Find the potion and color it by alchemy difficulty **************************
-- *********************************************************************************************************

function HerbDifficultyColor(id)
    if id == nil then
        return;
    end
    i = 1
    for key,value in ipairs(PotID) do
        i = i+1
        if value == id then
            Potname = PotID[i];
            i = i+1
            Potdiff1 = PotID[i];
            i = i+1
            Potdiff2 = PotID[i];
            i = i+1
            Potdiff3 = PotID[i];
            i = i+1
            Potdiff4 = PotID[i];
        end
    end

    -- 
    if Potname ~= nil then
        -- Check to see if there is some skill level.
        if (Potdiff1 == 0) and (Potdiff2 == 0) and (Potdiff3 == 0) and (Potdiff4 == 0) then
            return(string.format("%s",Potname));
        -- There was info about skill level, so we give some color.
        else
            if (tonumber(myAlchemySkill) == 0) or (myAlchemySkill == nil) then -- Give red color as we don't have Alchemy.
                PotColorCode = "|c00FF0000"
            elseif (tonumber(myAlchemySkill) < tonumber(Potdiff1)) then -- Give red skill color.
                PotColorCode = "|c00FF0000"
            elseif (tonumber(myAlchemySkill) < tonumber(Potdiff2)) then -- Give orange skill color.
                PotColorCode = "|c00FF7F00"
            elseif (tonumber(myAlchemySkill) < tonumber(Potdiff3)) then -- Give yellow skill color.
                PotColorCode = "|c00FFFF00"
            elseif (tonumber(myAlchemySkill) < tonumber(Potdiff4)) then -- Give green skill color.
                PotColorCode = "|cff1eff00"
            elseif (tonumber(myAlchemySkill) >= tonumber(Potdiff4)) then -- Give grey skill color.
                PotColorCode = "|c007d7d7d"
            end
        end

        -- 
        return(string.format("%s[%s]|r |c00FF7F00%s|r-|c00FFFF00%s|r-|cff1eff00%s|r-|c007d7d7d%s|r",PotColorCode, Potname, Potdiff1, Potdiff2, Potdiff3, Potdiff4));

    end
end

-- *********************************************************************************************************
-- **** Find all materials needed to make the alchemy thing and color the material by herbing difficulty ***
-- *********************************************************************************************************

function PotionDifficultyColor(id)
    if id == nil then
        return;
    end
    i = 1
    for key,value in ipairs(MatsID) do
        i = i+1
        if value == id then
            Matsname = MatsID[i];
            i = i+1
            Matsdiff1 = MatsID[i];
            i = i+1
            Matsdiff2 = MatsID[i];
            i = i+1
            Matsdiff3 = MatsID[i];
            i = i+1
            Matsdiff4 = MatsID[i];
        end
    end

    if Matsname ~= nil then
        -- Check to see if there is some skill level.
        if (Matsdiff1 == 0) and (Matsdiff2 == 0) and (Matsdiff3 == 0) and (Matsdiff4 == 0) then
            return(string.format("%s",Matsname));
        -- There was info about skill level, so we give some color.
        else
            if (tonumber(myHerbalismSkill) == 0) or (myHerbalismSkill == nil) then -- Give red color as we don't have Alchemy.
                MatsColorCode = "|c00FF0000"
            elseif (tonumber(myHerbalismSkill) < tonumber(Matsdiff1)) then -- Give red skill color.
                MatsColorCode = "|c00FF0000"
            elseif (tonumber(myHerbalismSkill) < tonumber(Matsdiff2)) then -- Give orange skill color.
                MatsColorCode = "|c00FF7F00"
            elseif (tonumber(myHerbalismSkill) < tonumber(Matsdiff3)) then -- Give yellow skill color.
                MatsColorCode = "|c00FFFF00"
            elseif (tonumber(myHerbalismSkill) < tonumber(Matsdiff4)) then -- Give green skill color.
                MatsColorCode = "|cff1eff00"
            elseif (tonumber(myHerbalismSkill) >= tonumber(Matsdiff4)) then -- Give grey skill color.
                MatsColorCode = "|c007d7d7d"
            end

            -- 
            return(string.format("%s[%s]|r |c00FF7F00%s|r-|c00FFFF00%s|r-|cff1eff00%s|r-|c007d7d7d%s|r",MatsColorCode, Matsname, Matsdiff1, Matsdiff2, Matsdiff3, Matsdiff4));

        end
    end
end

-- *********************************************************************************************************
-- **** Find all alchemy things there can be made with the material/herb and color by alchemy difficulty ***
-- *********************************************************************************************************

function PotionSkillLevel(id)
    -- Check to see if we got a id
    if id == nil then
        return;
    end

    -- For unknown reasons it's keeping the old info, so we clear it here.
    i = 1
    PotSkillLevel1 = nil
    PotSkillLevel2 = nil
    PotSkillLevel3 = nil
    PotSkillLevel4 = nil

    -- 
    for key,value in ipairs(PotID) do
        i = i+1
        if value == id then
            _ = PotID[i];
            i = i+1
            PotSkillLevel1 = PotID[i];
            i = i+1
            PotSkillLevel2 = PotID[i];
            i = i+1
            PotSkillLevel3 = PotID[i];
            i = i+1
            PotSkillLevel4 = PotID[i];
        end

        --
        if (PotSkillLevel1 ~= nil) and (PotSkillLevel2 ~= nil) and (PotSkillLevel3 ~= nil) and (PotSkillLevel4 ~= nil) then
            return(string.format("|c00FF7F00" .. "%s" .. "|r-|c00FFFF00" .. "%s" .. "|r-|cff1eff00" .. "%s" .. "|r-|c007d7d7d" .. "%s" .. "|r", PotSkillLevel1, PotSkillLevel2, PotSkillLevel3, PotSkillLevel4));
        end
    end
end

-- *********************************************************************************************************
-- ************************* Find the herbs skill levels and color it by difficulty ************************
-- *********************************************************************************************************

function HerbSkillLevel(id)
    -- Check to see if we got a id
    if id == nil then
        return;
    end

    -- For unknown reasons it's keeping the old info, so we clear it here.
    i = 1
    HerbSkillLevel1 = nil
    HerbSkillLevel2 = nil
    HerbSkillLevel3 = nil
    HerbSkillLevel4 = nil

    -- 
    for key,value in ipairs(MatsID) do
        i = i+1
        if value == id then
            _ = MatsID[i];
            i = i+1
            HerbSkillLevel1 = MatsID[i];
            i = i+1
            HerbSkillLevel2 = MatsID[i];
            i = i+1
            HerbSkillLevel3 = MatsID[i];
            i = i+1
            HerbSkillLevel4 = MatsID[i];
        end

        -- 
        if (HerbSkillLevel1 ~= nil) and (HerbSkillLevel2 ~= nil) and (HerbSkillLevel3 ~= nil) and (HerbSkillLevel4 ~= nil) then
            return(string.format("|c00FF7F00" .. "%s" .. "|r-|c00FFFF00" .. "%s" .. "|r-|cff1eff00" .. "%s" .. "|r-|c007d7d7d" .. "%s" .. "|r", HerbSkillLevel1, HerbSkillLevel2, HerbSkillLevel3, HerbSkillLevel4));
        end
    end
end

-- *********************************************************************************************************
-- ****************************** Make all there have to shown in the tooltip ******************************
-- *********************************************************************************************************

local function OnTooltipSetItem(tooltip)
    -- Get the name of the item.
	local itemName, itemLink = tooltip:GetItem()
	if not itemName then
        return;
    end
	-- Get the ID of the item.
    local itemID = select(1, GetItemInfoInstant(itemName))

    -- If for some reason we did not get the ID above, we try another way here.
    if itemID == nil then
        -- Extract ID from link: GetItemInfoInstant unreliable with AH items (uncached on client?)
        itemID = tonumber( string.match( itemLink, "item:?(%d+):" ) )
        if itemID == nil then
            -- The item link doesn't contain the item ID field
            return
        end
    end

    -- Find all the things the item is used for in Alchemy.
    if HerbUsedFor(itemID) ~= nil then
        tooltip:AddLine(" "); --blank line
        tooltip:AddLine(L["Used"]);
        tooltip:AddLine(HerbUsedFor(itemID));
    end
    -- Find all the mats used to make the item.
    if MatsForPotion(itemID) ~= nil then
        tooltip:AddLine(" "); --blank line
        tooltip:AddLine(L["Mats"]);
        tooltip:AddLine(MatsForPotion(itemID));
    end
end

-- *********************************************************************************************************
-- ************************************ What to do when tooltip go away ************************************
-- *********************************************************************************************************

local function OnTooltipCleared(tooltip, ...)
   -- Maybe something will come here later, for now it's just filling up.
end

-- *********************************************************************************************************
-- ************************** Help to find the exact local name when translating. **************************
-- ******************************************* In game you write: ******************************************
-- ****************************************** /script FindLocal() ******************************************
-- *********************************************************************************************************

function FindLocal()
    for skillIndex = 1, GetNumSkillLines() do
        local skillName, isHeader, _, skillRank, _, _, _, _, _, _, _, _, _ = GetSkillLineInfo(skillIndex)
        if not isHeader then
            print(skillName .. " - " .. skillRank);
        end
    end
end

-- *********************************************************************************************************
-- ***************************************** Just a test center :D *****************************************
-- *********************************** Will be removed when beta is over ***********************************
-- *********************************************************************************************************

function Subby(n)
    print(type(n))
end

-- *********************************************************************************************************
-- ******************************************** Show the tooltip *******************************************
-- *********************************************************************************************************

GameTooltip:HookScript("OnTooltipSetItem", OnTooltipSetItem)
GameTooltip:HookScript("OnTooltipCleared", OnTooltipCleared)















