-- Make sure that it's the right local file there is used.
if (GetLocale() ~= "zhCN") then
    return
end

--[[

    If you would like to help with the translation, then please mail your translation to:
        Secret.SubbyDK@Gmail.com
    Or you can fine me on the "Golemagg" EU server, Horde side.
        Súbby
        Subine
    Or you can find me on Discord:
        SubbyDK#8113

************************************************************************************************************************

	Contribution pattern: DD/MM/YYYY - nickname (character name ingame) - server - Faction - what did you do to help
	
    All the credit for the translation goes to:

        小河马 (Little Hippo)

    Please change "NewTranslation" to "false" when everything is translated.

    Thanks a lot for the help. ;)
]]--

-- Set some locals
local NewTranslation = false
local KeepTheHerbs, namespace = ...
local ShowLocalization = true


-- A small message to show the addon is loaded and if we need help with translations.
function Welcome()
    i = 1
    while i < 10 do
        i = i + 1
        if i >= 10 then
            DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r have been loaded.");
            -- is there any new translation ?
            if NewTranslation ~= false then
                DEFAULT_CHAT_FRAME:AddMessage("|cffffff7fKeepTheHerbs:|r The addon still need some translation.");
            end
        end
    end
end

-- 
local L = setmetatable({}, { __index = function(t, i)
	local value = tostring(i)
    if value == nil then
        DEFAULT_CHAT_FRAME:AddMessage("For some reason the value was not found in the 'localization.zhCN' file.");
        DEFAULT_CHAT_FRAME:AddMessage("Please report this bug with info on what you did.");
        return
    end
	rawset(t, i, value)
	return value
end })


-- ************************************************************
-- *************************  *************************
-- ************************************************************

namespace.L = L

    -- Word or sentences there is used in the addon.

    L["strAlchemy"] = "炼金术";                                -- enUS = "Alchemy"             <-- Very important that this is 100% correct, check it in-game with /script FindLocal()
    L["strHerbalism"] = "草药学";                              -- enUS = "Herbalism"           <-- Very important that this is 100% correct check it in-game with /script FindLocal()
    L["Bought"] = "从供应商处购买.";                             -- enUS = "Bought from vendor."
    L["HerbSkil"] = "采集熟练度: ";                            -- enUS = "Herbing difficulty: "
    L["AlchemySkill"] = "炼金熟练度: ";                          -- enUS = "Alchemy skill: "
    L["Used"] = "材料用途:";                                    -- enUS = "Used by alchemists for:"
    L["Mats"] = "制作配方:";                                    -- enUS = "Materials used:"
    L["Swifthistle"] = "伴生于 [石南草] 和 [魔皇草]中.";           -- enUS = "Found with [Briarthorn] and [Mageroyal]."
    L["Wildvine"] = "伴生于 [紫莲花]中.";                          -- enUS = "Found with [Purple Lotus]."
    L["or"] = "or"                                            -- enUS = "or"

    -- All the things there can be made with Alchemy.
    --      https://cn.classic.wowhead.com/item=

    L["118"] = "初级治疗药水";                                  -- enUS = "Minor Healing Potion"
    L["2454"] = "狮王之力药剂";                            -- enUS = "Elixir of Lion's Strength"
    L["5997"] = "初级防御药剂";                              -- enUS = "Elixir of Minor Defense"   
    L["3382"] = "弱效巨魔之血药水";                            -- enUS = "Weak Troll's Blood Potion"
    L["2455"] = "初级法力药水";                                    -- enUS = "Minor Mana Potion"
    L["2456"] = "初级活力药水";                            -- enUS = "Minor Rejuvenation Potion"
    L["2458"] = "初级坚韧药剂";                            -- enUS = "Elixir of Minor Fortitude"
    L["2457"] = "初级敏捷药剂";                              -- enUS = "Elixir of Minor Agility"
    L["4596"] = "褪色的治疗药水";                            -- enUS = "Discolored Healing Potion"
    L["858"] = "次级治疗药水";                                 -- enUS = "Lesser Healing Potion"
    L["2459"] = "迅捷药水";                                     -- enUS = "Swiftness Potion"
    L["5631"] = "暴怒药水";                                          -- enUS = "Rage Potion"
    L["6370"] = "黑口鱼油";                                       -- enUS = "Blackmouth Oil"
    L["3383"] = "智慧药剂";                                     -- enUS = "Elixir of Wisdom"
    L["929"] = "初级治疗药水";                                        -- enUS = "Healing Potion"
    L["5996"] = "水下呼吸药剂";                            -- enUS = "Elixir of Water Breathing"
    L["6662"] = "增长药剂";                               -- enUS = "Elixir of Giant Growth"
    L["6051"] = "强效神圣防护药水";                               -- enUS = "Holy Protection Potion"
    L["6372"] = "速游药水";                                    -- enUS = "Swim Speed Potion"
    L["3384"] = "初级抗魔药水";                        -- enUS = "Minor Magic Resistance Potion"
    L["3385"] = "次级法力药水";                                   -- enUS = "Lesser Mana Potion"
    L["3386"] = "抗毒药剂";                          -- enUS = "Elixir of Poison Resistance"
    L["3388"] = "强力巨魔之血药水";                          -- enUS = "Strong Troll's Blood Potion"
    L["6371"] = "火焰之油";                                             -- enUS = "Fire Oil"
    L["3389"] = "防御药剂";                                    -- enUS = "Elixir of Defense"
    L["6048"] = "暗影防护药水";                             -- enUS = "Shadow Protection Potion"
    L["3390"] = "次级敏捷药剂";                             -- enUS = "Elixir of Lesser Agility"
    L["6373"] = "火力药剂";                                  -- enUS = "Elixir of Firepower"
    L["3391"] = "食人魔力量药剂";                            -- enUS = "Elixir of Ogre's Strength"
    L["5634"] = "自由行动药水";                                   -- enUS = "Free Action Potion"
    L["1710"] = "强效治疗药水";                               -- enUS = "Greater Healing Potion"
    L["3827"] = "初级法力药水";                                          -- enUS = "Mana Potion"
    L["3823"] = "次级隐形药水";                           -- enUS = "Lesser Invisibility Potion"
    L["3824"] = "暗影之油";                                           -- enUS = "Shadow Oil"
    L["6049"] = "火焰防护药水";                               -- enUS = "Fire Protection Potion"
    L["3825"] = "坚韧药剂";                                  -- enUS = "Elixir of Fortitude"
    L["5633"] = "暴怒药水";                                    -- enUS = "Great Rage Potion"
    L["3826"] = "超强巨魔之血药水";                          -- enUS = "Mighty Troll's Blood Potion"
    L["8949"] = "敏捷药剂";                                    -- enUS = "Elixir of Agility"
    L["6050"] = "冰霜防护药水";                              -- enUS = "Frost Protection Potion"
    L["6052"] = "强效自然防护药水";                             -- enUS = "Nature Protection Potion"
    L["17708"] = "冰霜之力药剂";                               -- enUS = "Elixir of Frost Power"
    L["3828"] = "侦测次级隐形药剂";                 -- enUS = "Elixir of Detect Lesser Invisibility"
    L["8951"] = "强效防御药剂";                            -- enUS = "Elixir of Greater Defense"
    L["3829"] = "冰霜之油";                                            -- enUS = "Frost Oil"
    L["10592"] = "猫眼药剂";                                      -- enUS = "Catseye Elixir"
    L["6149"] = "强效法力药水";                                  -- enUS = "Greater Mana Potion"
    L["8956"] = "献祭之油";                                    -- enUS = "Oil of Immolation"
    L["9036"] = "抗魔药水";                              -- enUS = "Magic Resistance Potion"
    L["9061"] = "地精火箭燃油";                                   -- enUS = "Goblin Rocket Fuel"
    L["9030"] = "滋补药剂";                                   -- enUS = "Restorative Potion"
    L["4623"] = "次级石盾药水";                            -- enUS = "Lesser Stoneshield Potion"
    L["3928"] = "优质治疗药水";                              -- enUS = "Superior Healing Potion"
    L["18294"] = "强力水下呼吸药剂";                   -- enUS = "Elixir of Greater Water Breathing"
    L["9144"] = "野葡萄药水";                                      -- enUS = "Wildvine Potion"
    L["9149"] = "点金石";                                  -- enUS = "Philosophers' Stone"
    L["9154"] = "侦测亡灵药剂";                              -- enUS = "Elixir of Detect Undead"
    L["12190"] = "强效昏睡药水";                              -- enUS = "Dreamless Sleep Potion"
    L["9155"] = "强效奥法药剂";                                        -- enUS = "Arcane Elixir"
    L["9172"] = "次级隐形药水";                                  -- enUS = "Invisibility Potion"
    L["9179"] = "强效聪颖药剂";                          -- enUS = "Elixir of Greater Intellect"
    L["9088"] = "阿尔萨斯的礼物";                                       -- enUS = "Gift of Arthas"
    L["9187"] = "强效敏捷药剂";                            -- enUS = "Elixir of Greater Agility"
    L["9197"] = "梦境药剂";                               -- enUS = "Elixir of Dream Vision"
    L["9206"] = "巨人药剂";                                     -- enUS = "Elixir of Giants"
    L["9210"] = "幻象染料";                                            -- enUS = "Ghost Dye"
    L["13423"] = "石鳞鱼油";                                      -- enUS = "Stonescale Oil"
    L["20747"] = "次级法力之油";                                     -- enUS = "Lesser Mana Oil"
    L["20748"] = "卓越法力之油";                                  -- enUS = "Brilliant Mana Oil"
    L["9264"] = "暗影之力药剂";                               -- enUS = "Elixir of Shadow Power"
    L["9224"] = "屠魔药剂";                               -- enUS = "Elixir of Demonslaying"
    L["9233"] = "侦测恶魔药剂";                               -- enUS = "Elixir of Detect Demon"
    L["21546"] = "强效火力药剂";                         -- enUS = "Elixir of Greater Firepower"
    L["3387"] = "有限无敌药水";                       -- enUS = "Limited Invulnerability Potion"
    L["13442"] = "强效怒气药水";                                  -- enUS = "Mighty Rage Potion"
    L["13443"] = "优质法力药水";                                -- enUS = "Superior Mana Potion"
    L["13445"] = "超强防御药剂";                          -- enUS = "Elixir of Superior Defense"
    L["13447"] = "先知药剂";                                 -- enUS = "Elixir of the Sages"
    L["13446"] = "特效治疗药水";                                -- enUS = "Major Healing Potion"
    L["13453"] = "蛮力药剂";                               -- enUS = "Elixir of Brute Force"
    L["20007"] = "魔血药剂";                                    -- enUS = "Mageblood Potion"
    L["20002"] = "强效昏睡药水";                      -- enUS = "Greater Dreamless Sleep Potion"
    L["13455"] = "强效石盾药水";                          -- enUS = "Greater Stoneshield Potion"
    L["13452"] = "猫鼬药剂";                              -- enUS = "Elixir of the Mongoose"
    L["13462"] = "净化药水";                                 -- enUS = "Purification Potion"
    L["13454"] = "强效奥法药剂";                               -- enUS = "Greater Arcane Elixir"
    L["20008"] = "活力行动药水";                                -- enUS = "Living Action Potion"
    L["13457"] = "强效火焰防护药水";                      -- enUS = "Greater Fire Protection Potion"
    L["13456"] = "强效冰霜防护药水";                     -- enUS = "Greater Frost Protection Potion"
    L["13458"] = "强效自然防护药水";                    -- enUS = "Greater Nature Protection Potion"
    L["13461"] = "强效自然防护药水";                    -- enUS = "Greater Arcane Protection Potion"
    L["13459"] = "强效自然防护药水";                    -- enUS = "Greater Shadow Protection Potion"
    L["20004"] = "特效巨魔之血药水";                          -- enUS = "Major Troll's Blood Potion"
    L["13444"] = "特效法力药水";                                   -- enUS = "Major Mana Potion"
    L["18253"] = "特效活力药水";                           -- enUS = "Major Rejuvenation Potion"
    L["13503"] = "炼金石";                                   -- enUS = "Alchemist's Stone"
    L["13506"] = "化石合剂";                              -- enUS = "Flask of Petrification"
    L["13510"] = "泰坦合剂";                                 -- enUS = "Flask of the Titans"
    L["13511"] = "精炼智慧合剂";                           -- enUS = "Flask of Distilled Wisdom"
    L["13512"] = "超级能量合剂";                              -- enUS = "Flask of Supreme Power"
    L["13513"] = "多重抗性合剂";                       -- enUS = "Flask of Chromatic Resistance"
    L["19931"] = "古拉巴什疯狂魔精";                              -- enUS = "Gurubashi Mojo Madness"
	
    -- All the spells used in Alchemy

    L["11479"] = "转化：点铁成金";                             -- enUS = "Transmute: Iron to Gold"
    L["11480"] = "转化：秘银";                    -- enUS = "Transmute: Mithril to Truesilver"
    L["25146"] = "转化：元素火焰";                           -- enUS = "Transmute: Elemental Fire"
    L["17187"] = "转化：奥金";                                 -- enUS = "Transmute: Arcanite"
    L["17559"] = "转化：点气成火";                              -- enUS = "Transmute: Air to Fire"
    L["17560"] = "转化：点火成土";                            -- enUS = "Transmute: Fire to Earth"
    L["17561"] = "转化：转土成水";                           -- enUS = "Transmute: Earth to Water"
    L["17562"] = "转化：点水成气";                             -- enUS = "Transmute: Water to Air"
    L["17563"] = "转化：死灵化水";                         -- enUS = "Transmute: Undeath to Water"
    L["17564"] = "转化：水转死灵";                         -- enUS = "Transmute: Water to Undeath"
    L["17565"] = "转化：生命归土";                            -- enUS = "Transmute: Life to Earth"
    L["17566"] = "转化：土转生命";                            -- enUS = "Transmute: Earth to Life"

    -- All the herbs used for potions.

    L["2447"] = "宁神花";                                           -- enUS = "Peacebloom"
    L["765"] = "银叶草";                                            -- enUS = "Silverleaf"
    L["2449"] = "地根草";                                            -- enUS = "Earthroot"
    L["785"] = "魔皇草";                                             -- enUS = "Mageroyal"
    L["2450"] = "石南草";                                           -- enUS = "Briarthorn"
    L["2452"] = "雨燕草";                                          -- enUS = "Swiftthistle"
    L["3820"] = "荆棘藻";                                         -- enUS = "Stranglekelp"
    L["2453"] = "跌打草";                                           -- enUS = "Bruiseweed"
    L["3355"] = "野钢花";                                      -- enUS = "Wild Steelbloom"
    L["3369"] = "墓地苔";                                           -- enUS = "Grave Moss"
    L["3356"] = "皇血草";                                           -- enUS = "Kingsblood"
    L["3357"] = "活根草";                                             -- enUS = "Liferoot"
    L["3818"] = "枯叶草";                                             -- enUS = "Fadeleaf"
    L["3821"] = "金棘草";                                            -- enUS = "Goldthorn"
    L["3358"] = "卡德加的胡须";                                    -- enUS = "Khadgar's Whisker"
    L["3819"] = "冬刺草";                                          -- enUS = "Wintersbite"
    L["4625"] = "火焰花";                                            -- enUS = "Firebloom"
    L["8831"] = "紫莲花";                                         -- enUS = "Purple Lotus"
    L["8153"] = "野葡萄藤";                                             -- enUS = "Wildvine"
    L["8836"] = "阿尔萨斯之泪";                                        -- enUS = "Arthas' Tears"
    L["8838"] = "太阳草";                                             -- enUS = "Sungrass"
    L["8839"] = "盲目草";                                            -- enUS = "Blindweed"
    L["8845"] = "幽灵菇";                                       -- enUS = "Ghost Mushroom"
    L["8846"] = "格罗姆之血";                                           -- enUS = "Gromsblood"
    L["13464"] = "黄金参";                                       -- enUS = "Golden Sansam"
    L["13463"] = "梦叶草";                                           -- enUS = "Dreamfoil"
    L["13465"] = "山鼠草";                                 -- enUS = "Mountain Silversage"
    L["13466"] = "瘟疫花";                                         -- enUS = "Plaguebloom"
    L["13467"] = "冰盖草";                                              -- enUS = "Icecap"
    L["13468"] = "黑莲花";                                         -- enUS = "Black Lotus"

    -- All the Vail's used for potions.

    L["3371"] = "空瓶";                                           -- enUS = "Empty Vial"
    L["3372"] = "铅瓶";                                          -- enUS = "Leaded Vial"
    L["8925"] = "水晶瓶";                                         -- enUS = "Crystal Vial"
    L["18256"] = "灌魔之瓶";                                         -- enUS = "Imbued Vial"

    -- All the rest used for potions.
    L["5635"] = "锋利的爪子";                                           -- enUS = "Sharp Claw"
    L["6358"] = "黑口鱼";                                      -- enUS = "Oily Blackmouth"
    L["6359"] = "火鳞鳝鱼";                                      -- enUS = "Firefin Snapper"
    L["3164"] = "变色的狼心";                                -- enUS = "Discolored Worg Heart"
    L["6522"] = "变异鱼";                                         -- enUS = "Deviate Fish"
    L["3575"] = "铁锭";                                             -- enUS = "Iron Bar"
    L["9262"] = "黑色硫酸盐";                                        -- enUS = "Black Vitriol"
    L["7972"] = "亡灵腐液";                                     -- enUS = "Ichor of Undeath"
    L["3858"] = "秘银矿石";                                          -- enUS = "Mithril Ore"
    L["4402"] = "火囊";                                      -- enUS = "Small Flame Sac"
    L["3860"] = "秘银锭";                                          -- enUS = "Mithril Bar"
    L["10620"] = "瑟银矿石";                                         -- enUS = "Thorium Ore"
    L["7076"] = "大地精华";                                     -- enUS = "Essence of Earth"
    L["12359"] = "瑟银锭";                                         -- enUS = "Thorium Bar"
    L["12363"] = "奥术水晶";                                      -- enUS = "Arcane Crystal"
    L["13422"] = "石鳞鳗";                                      -- enUS = "Stonescale Eel"
    L["11176"] = "梦境之尘";                                          -- enUS = "Dream Dust"
    L["7077"] = "火焰之心";                                        -- enUS = "Heart of Fire"
    L["7080"] = "水之精华";                                     -- enUS = "Essence of Water"
    L["10286"] = "野性之心";				                    -- enUS = "Heart of the Wild"
    L["7067"] = "元素之土";                                      -- enUS = "Elemental Earth"
    L["7078"] = "火焰精华";                                      -- enUS = "Essence of Fire"
    L["12803"] = "生命精华";                                      -- enUS = "Living Essence"
    L["12808"] = "死灵精华";                                  -- enUS = "Essence of Undeath"
    L["1288"] = "大毒囊";                                      -- enUS = "Large Venom Sac"
    L["7068"] = "元素火焰";                                       -- enUS = "Elemental Fire"
    L["12938"] = "英雄之血";                                     -- enUS = "Blood of Heroes"
    L["19943"] = "极效魔精";                                        -- enUS = "Massive Mojo"
    L["12804"] = "强力魔精";                                       -- enUS = "Powerful Mojo"
    L["7070"] = "元素之水";                                      -- enUS = "Elemental Water"
    L["9260"] = "烈性朗姆酒";                                         -- enUS = "Volatile Rum"
    L["7082"] = "空气精华";                                       -- enUS = "Essence of Air"
    L["4342"] = "紫色染料";                                           -- enUS = "Purple Dye"